AbstractLoggingInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class AbstractLoggingInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractLoggingInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`
  Direct Known Subclasses:
    `LoggingInInterceptor`, `LoggingOutInterceptor`

      @Deprecated
      public abstract class AbstractLoggingInterceptor
      extends AbstractPhaseInterceptor<Message>

  Deprecated.
  A simple logging handler which outputs the bytes of the message to the Logger.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `BINARY_CONTENT_MESSAGE` | Deprecated.
    `static int` | `DEFAULT_LIMIT` | Deprecated.
    `protected int` | `limit` | Deprecated.
    `protected static String` | `MULTIPART_CONTENT_MESSAGE` | Deprecated.
    `protected boolean` | `prettyLogging` | Deprecated.
    `protected long` | `threshold` | Deprecated.
    `protected PrintWriter` | `writer` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractLoggingInterceptor​(String phase)` | Deprecated.
    `AbstractLoggingInterceptor​(String id, String phase)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getBinaryContentMediaTypes()` | Deprecated.
    `long` | `getInMemThreshold()` | Deprecated.
    `int` | `getLimit()` | Deprecated.
    `protected abstract Logger` | `getLogger()` | Deprecated.
    `PrintWriter` | `getPrintWriter()` | Deprecated.
    `protected boolean` | `isBinaryContent​(String contentType)` | Deprecated.
    `protected static boolean` | `isLoggingDisabledNow​(Message message)` | Deprecated.
    `protected boolean` | `isMultipartContent​(String contentType)` | Deprecated.
    `boolean` | `isPrettyLogging()` | Deprecated.
    `boolean` | `isShowBinaryContent()` | Deprecated.
    `boolean` | `isShowMultipartContent()` | Deprecated.
    `protected void` | `log​(Logger logger, String message)` | Deprecated.
    `void` | `setBinaryContentMediaTypes​(List<String> binaryContentMediaTypes)` | Deprecated.
    `void` | `setInMemThreshold​(long t)` | Deprecated.
    `void` | `setLimit​(int lim)` | Deprecated.
    `void` | `setOutputLocation​(String s)` | Deprecated.
    `void` | `setPrettyLogging​(boolean flag)` | Deprecated.
    `void` | `setPrintWriter​(PrintWriter w)` | Deprecated.
    `void` | `setShowBinaryContent​(boolean showBinaryContent)` | Deprecated.
    `void` | `setShowMultipartContent​(boolean showMultipartContent)` | Deprecated.
    `protected String` | `transform​(String originalLogString)` | Deprecated. Transform the string before display.
    `protected void` | `writePayload​(StringBuilder builder, StringWriter stringWriter, String contentType)` | Deprecated.
    `protected void` | `writePayload​(StringBuilder builder, CachedOutputStream cos, String encoding, String contentType, boolean truncated)` | Deprecated.
    `protected void` | `writePrettyPayload​(StringBuilder builder, StringWriter stringWriter, String contentType)` | Deprecated.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.interceptor.Interceptor

      `handleMessage`

- - ### Field Detail

    - #### DEFAULT_LIMIT

          public static final int DEFAULT_LIMIT

      Deprecated.
      See Also:
        Constant Field Values

    - #### BINARY_CONTENT_MESSAGE

          protected static final String BINARY_CONTENT_MESSAGE

      Deprecated.
      See Also:
        Constant Field Values

    - #### MULTIPART_CONTENT_MESSAGE

          protected static final String MULTIPART_CONTENT_MESSAGE

      Deprecated.
      See Also:
        Constant Field Values

    - #### limit

          protected int limit

      Deprecated.

    - #### threshold

          protected long threshold

      Deprecated.

    - #### writer

          protected PrintWriter writer

      Deprecated.

    - #### prettyLogging

          protected boolean prettyLogging

      Deprecated.

  - ### Constructor Detail

    - #### AbstractLoggingInterceptor

          public AbstractLoggingInterceptor​(String phase)

      Deprecated.

    - #### AbstractLoggingInterceptor

          public AbstractLoggingInterceptor​(String id,
                                            String phase)

      Deprecated.

  - ### Method Detail

    - #### isLoggingDisabledNow

          protected static boolean isLoggingDisabledNow​(Message message)

      Deprecated.

    - #### getLogger

          protected abstract Logger getLogger()

      Deprecated.

    - #### setOutputLocation

          public void setOutputLocation​(String s)

      Deprecated.

    - #### setPrintWriter

          public void setPrintWriter​(PrintWriter w)

      Deprecated.

    - #### getPrintWriter

          public PrintWriter getPrintWriter()

      Deprecated.

    - #### setLimit

          public void setLimit​(int lim)

      Deprecated.

    - #### getLimit

          public int getLimit()

      Deprecated.

    - #### setPrettyLogging

          public void setPrettyLogging​(boolean flag)

      Deprecated.

    - #### isPrettyLogging

          public boolean isPrettyLogging()

      Deprecated.

    - #### setInMemThreshold

          public void setInMemThreshold​(long t)

      Deprecated.

    - #### getInMemThreshold

          public long getInMemThreshold()

      Deprecated.

    - #### writePayload

          protected void writePayload​(StringBuilder builder,
                                      CachedOutputStream cos,
                                      String encoding,
                                      String contentType,
                                      boolean truncated)
                               throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### writePayload

          protected void writePayload​(StringBuilder builder,
                                      StringWriter stringWriter,
                                      String contentType)
                               throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### writePrettyPayload

          protected void writePrettyPayload​(StringBuilder builder,
                                            StringWriter stringWriter,
                                            String contentType)
                                     throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### transform

          protected String transform​(String originalLogString)

      Deprecated.
      Transform the string before display. The implementation in this class does nothing. Override this method if you wish to change the contents of the logged message before it is delivered to the output. For example, you can use this to mask out sensitive information.
      Parameters:
        `originalLogString` - the raw log message.
      Returns:
        transformed data

    - #### log

          protected void log​(Logger logger,
                             String message)

      Deprecated.

    - #### setShowBinaryContent

          public void setShowBinaryContent​(boolean showBinaryContent)

      Deprecated.

    - #### isShowBinaryContent

          public boolean isShowBinaryContent()

      Deprecated.

    - #### isBinaryContent

          protected boolean isBinaryContent​(String contentType)

      Deprecated.

    - #### isShowMultipartContent

          public boolean isShowMultipartContent()

      Deprecated.

    - #### setShowMultipartContent

          public void setShowMultipartContent​(boolean showMultipartContent)

      Deprecated.

    - #### isMultipartContent

          protected boolean isMultipartContent​(String contentType)

      Deprecated.

    - #### getBinaryContentMediaTypes

          public List<String> getBinaryContentMediaTypes()

      Deprecated.

    - #### setBinaryContentMediaTypes

          public void setBinaryContentMediaTypes​(List<String> binaryContentMediaTypes)

      Deprecated.